/**
 * 溯源供方请求接口
 */
import request from '../index'
const prefix = '/meter'
// 列表查询
export function getStandardList(data: { offset: number; limit: number }) {
  return request({
    url: `${prefix}/standard/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}
// 列表新增
export function getStandardListAdd(data: object) {
  return request({
    url: `${prefix}/standard/add`,
    method: 'post',
    data,
  })
}
// 列表新增
export function getStandardListDelete(data: object) {
  return request({
    url: `${prefix}/standard/delete`,
    method: 'post',
    data,
  })
}

// 详情信息
export function getStandardListDetail(data: object) {
  return request({
    url: `${prefix}/standard/detail`,
    method: 'post',
    data,
  })
}

// 更新信息
export function getStandardLisUpdate(data: object) {
  return request({
    url: `${prefix}/standard/update`,
    method: 'post',
    data,
  })
}

// 获取部门信息
export function getUsersDept(data: { offset: number; limit: number }) {
  return request({
    url: `/meter/organize/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 获取申请列表
export function getstandardEquipmentApplyList(data: { offset: number; limit: number }) {
  return request({
    url: `/standard/standardEquipmentApplyList?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 删除申请列表信息
export function getStandardLisdelete(data: object) {
  return request({
    url: '/standard/deleteStandardEquipmentApply',
    method: 'post',
    data,
  })
}

// 新建申请列表信息
export function getStandardLisAdd(data: object) {
  return request({
    url: '/standard/addStandardEquipmentApply',
    method: 'post',
    data,
  })
}

// 获取到申请列表信息
export function getStandardLisdetali(data: object) {
  return request({
    url: '/standard/standardEquipmentApplyInfo',
    method: 'post',
    data,
  })
}

// 获取到到期提醒列表
export function getRemindListPage(data: { offset: number; limit: number }) {
  return request({
    url: `/meter/standard/remindListPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 点击提醒
export function setRemind(data: object) {
  return request({
    url: '/meter/standard/remind',
    method: 'post',
    data,
  })
}
